<mat-card class="example-card">
    <div class="header-image-wrapper">
        <mat-card-header class="header">
            <mat-card-actions *ngIf="isAuthenticated">
                <button (click)="openEditModal()" mat-icon-button>
                    <mat-icon>edit</mat-icon>
                </button>
                <button (click)="openRemoveModal()" color="warn" mat-icon-button>
                    <mat-icon>remove</mat-icon>
                </button>
            </mat-card-actions>
            <mat-card-title class="title">{{product.name}}</mat-card-title>
            <mat-card-subtitle>Type: {{product.type | productTypeLabel }}</mat-card-subtitle>
        </mat-card-header>
        <img mat-card-image [src]="product.imageURL" [alt]="product.name">
    </div>
    <mat-card-content>
        <p *ngIf="!isDescriptionExpanded; else expanded">{{product.description | shortenDescription: 120}}</p>
        <ng-template #expanded><p>{{product.description}}</p></ng-template>
    </mat-card-content>
    <mat-icon *ngIf="product.description.length > 120" [class.is-expanded]="isDescriptionExpanded" (click)="handleDescription()">expand_more</mat-icon>
     <mat-card-content *ngIf="product.prices" class="prices-container">
        <p>
            EUR
            {{product.prices.EUR}}
        </p>
        <p>
            PLN
            {{product.prices.PLN}}
        </p>
        <p>
            USD
            {{product.prices.USD}}
        </p>
    </mat-card-content>
</mat-card>
